## whois 4.7.24

=== Makefile ===
prefix = /usr/local

OPTS := -O2

# Solaris
#whois_LDADD += -lnsl -lsocket

# FreeBSD
#LDFLAGS=-L/usr/local/lib -lgnugetopt -lintl
#CFLAGS=-I/usr/local/include

# OS/2 EMX
#LDFLAGS=-lsocket -Zexe -Dstrncasecmp=strnicmp

ifdef HAVE_LIBIDN
whois_LDADD += -lidn
whois_CFLAGS += -DHAVE_LIBIDN
endif

ifdef HAVE_XCRYPT
mkpasswd_LDADD += -lxcrypt
mkpasswd_CFLAGS += -DHAVE_XCRYPT
else
mkpasswd_LDADD += -lcrypt
endif

PERL := perl

all: whois #pos

whois: whois.c whois.h config.h data.h \
		as_del.h as32_del.h ip_del.h ip6_del.h tld_serv.h
	$(CC) $(CFLAGS) $(whois_CFLAGS) $(OPTS) whois.c -o whois \
		$(LDFLAGS) $(whois_LDADD)

mkpasswd: mkpasswd.c
	$(CC) $(CFLAGS) $(mkpasswd_CFLAGS) $(OPTS) mkpasswd.c -o mkpasswd \
		$(LDFLAGS) $(mkpasswd_LDADD)

as_del.h: as_del_list make_as_del.pl
	$(PERL) -w make_as_del.pl < as_del_list > $@

as32_del.h: as32_del_list make_as32_del.pl
	$(PERL) -w make_as32_del.pl < as32_del_list > $@

ip_del.h: ip_del_list make_ip_del.pl
	$(PERL) -w make_ip_del.pl < ip_del_list > $@

ip6_del.h: ip6_del_list make_ip6_del.pl
	$(PERL) -w make_ip6_del.pl < ip6_del_list > $@

tld_serv.h: tld_serv_list make_tld_serv.pl
	$(PERL) -w make_tld_serv.pl < tld_serv_list > $@

install: whois
	install -d $(BASEDIR)$(prefix)/bin/
	install -d $(BASEDIR)$(prefix)/share/man/man1/
	install -m 0755 whois $(BASEDIR)$(prefix)/bin/
	install -m 0644 whois.1 $(BASEDIR)$(prefix)/share/man/man1/
	cd po && $(MAKE) $@

install-mkpasswd: mkpasswd
	install -d $(BASEDIR)$(prefix)/bin/
	install -d $(BASEDIR)$(prefix)/share/man/man1/
	install -m 0755 mkpasswd $(BASEDIR)$(prefix)/bin/
	install -m 0644 mkpasswd.1 $(BASEDIR)$(prefix)/share/man/man1/

distclean: clean
	rm -f po/whois.pot

clean:
	rm -f as_del.h ip_del.h ip6_del.h tld_serv.h whois mkpasswd
	rm -f po/*.mo

test:
	open -- sh -c "while nc -l -p 43 127.0.0.1; do echo END; done"

gnu:
	tar czvvf gnu-whois.tgz Makefile* README *list *.h whois.*

pos:
	cd po && $(MAKE)

=== debian/changelog ===
whois (4.7.24) unstable; urgency=medium

  * Added new ASN allocations.
  * Added new IPv4 allocations.
  * Added the .asia, .kp and .mq TLD servers. (Closes: #445747)

 -- Marco d'Itri <md@linux.it>  Tue, 30 Oct 2007 11:06:25 +0100

=== debian/control ===
Source: whois
Section: net
Priority: standard
Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 3.7.2
Build-Depends: debhelper (>= 4), gettext, libidn11-dev

Package: whois
Architecture: any
Depends: ${shlibs:Depends}
Replaces: bsdmainutils (<= 4.5.1), bsdutils (<< 3.0-0)
Description: the GNU whois client
 This is a new whois (RFC 3912) client rewritten from scratch.
 It is inspired from and compatible with the usual BSD and RIPE whois(1)
 programs.
 It is intelligent and can automatically select the appropriate whois
 server for most queries.
 .
 The package also contains mkpasswd, a simple front end to crypt(3).

=== debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

#export DH_VERBOSE=1

D := $(shell pwd)/debian/whois

VERSION := $(shell dpkg-parsechangelog | sed -n 's/\+.*$$//; /^Version/s/.* //p')

build:
	dh_testdir
	$(MAKE) whois mkpasswd \
		OPTS="-O2 -g -DCONFIG_FILE=\\\"/etc/whois.conf\\\"" \
		HAVE_LIBIDN=1
	cd po && $(MAKE) whois.pot
	touch $@

clean:
	dh_testdir
	-rm -f build
	$(MAKE) distclean
	dh_clean

binary-arch: checkroot build
	dh_testdir
	dh_clean

	# sanity check
	egrep -q '^#define VERSION "$(VERSION)"$$' config.h

	dh_installdirs usr/bin
	install whois mkpasswd $D/usr/bin/
	cd po && $(MAKE) install BASEDIR=$D
	dh_installman whois.1 mkpasswd.1
	dh_installdocs README
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_builddeb

binary: binary-arch

binary-indep:

checkroot:
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep build clean checkroot

## whois 4.7.26

=== Makefile ===
--- 
+++ 
@@ -14,29 +14,31 @@
 
 ifdef HAVE_LIBIDN
 whois_LDADD += -lidn
-whois_CFLAGS += -DHAVE_LIBIDN
+CFLAGS += -DHAVE_LIBIDN
 endif
 
 ifdef HAVE_XCRYPT
 mkpasswd_LDADD += -lxcrypt
-mkpasswd_CFLAGS += -DHAVE_XCRYPT
+CFLAGS += -DHAVE_XCRYPT
 else
 mkpasswd_LDADD += -lcrypt
 endif
 
 PERL := perl
 
-all: whois #pos
+all: Makefile.depend whois mkpasswd #pos
 
-whois: whois.c whois.h config.h data.h \
-		as_del.h as32_del.h ip_del.h ip6_del.h tld_serv.h
-	$(CC) $(CFLAGS) $(whois_CFLAGS) $(OPTS) whois.c -o whois \
-		$(LDFLAGS) $(whois_LDADD)
+##############################################################################
+%.o: %.c
+	$(CC) $(CFLAGS) $(OPTS) -c $<
 
-mkpasswd: mkpasswd.c
-	$(CC) $(CFLAGS) $(mkpasswd_CFLAGS) $(OPTS) mkpasswd.c -o mkpasswd \
-		$(LDFLAGS) $(mkpasswd_LDADD)
+whois: whois.o utils.o
+	$(CC) $(LDFLAGS) $(whois_LDADD) -o $@ $^
 
+mkpasswd: mkpasswd.o utils.o
+	$(CC) $(LDFLAGS) $(mkpasswd_LDADD) -o $@ $^
+
+##############################################################################
 as_del.h: as_del_list make_as_del.pl
 	$(PERL) -w make_as_del.pl < as_del_list > $@
 
@@ -52,6 +54,7 @@
 tld_serv.h: tld_serv_list make_tld_serv.pl
 	$(PERL) -w make_tld_serv.pl < tld_serv_list > $@
 
+##############################################################################
 install: whois
 	install -d $(BASEDIR)$(prefix)/bin/
 	install -d $(BASEDIR)$(prefix)/share/man/man1/
@@ -69,7 +72,8 @@
 	rm -f po/whois.pot
 
 clean:
-	rm -f as_del.h ip_del.h ip6_del.h tld_serv.h whois mkpasswd
+	rm -f Makefile.depend as_del.h ip_del.h ip6_del.h tld_serv.h \
+		*.o whois mkpasswd
 	rm -f po/*.mo
 
 test:
@@ -81,3 +85,8 @@
 pos:
 	cd po && $(MAKE)
 
+depend: Makefile.depend
+Makefile.depend:
+	$(CC) $(CFLAGS) -MM -MG *.c > $@
+
+-include Makefile.depend

=== po/Makefile ===
INSTALL= /usr/bin/install -c
INSTALLNLSDIR=$(BASEDIR)/usr/share/locale

PACKAGE = whois

CATALOGS = cs.mo de.mo el.mo es.mo eu.mo fr.mo it.mo ja.mo no.mo pl.mo pt_BR.mo ru.mo

POTFILES=../whois.c ../mkpasswd.c

all: $(PACKAGE).pot $(CATALOGS)

$(PACKAGE).pot: $(POTFILES)
	xgettext --default-domain=$(PACKAGE) \
       	  --add-comments --keyword=_ --keyword=N_ $(POTFILES)
	if cmp -s $(PACKAGE).po $(PACKAGE).pot; then \
	  rm -f $(PACKAGE).po; \
	else \
	  mv $(PACKAGE).po $(PACKAGE).pot; \
	fi

update-po: $(PACKAGE).pot
	for cat in $(CATALOGS); do \
	  lang=`echo $$cat | sed 's/.mo$$//'`; \
	  mv $$lang.po $$lang.old.po; \
	  echo "$$lang:"; \
	  if msgmerge $$lang.old.po $(PACKAGE).pot -o $$lang.po; then \
	    rm -f $$lang.old.po; \
	  else \
    	    echo "msgmerge for $$cat failed!"; \
	    rm -f $$lang.po; mv $$lang.old.po $$lang.po; \
	  fi; \
	done

%.mo: %.po
	msgfmt --statistics --check --verbose --output-file=$@ $<

clean:
	rm -f *.mo

distclean: clean
	rm -f whois.pot

install: $(CATALOGS)
	for n in $(CATALOGS); do \
	    l=`basename $$n .mo`; \
	    $(INSTALL) -m 755 -d $(INSTALLNLSDIR)/$$l; \
	    $(INSTALL) -m 755 -d $(INSTALLNLSDIR)/$$l/LC_MESSAGES; \
	    $(INSTALL) -m 644 $$n $(INSTALLNLSDIR)/$$l/LC_MESSAGES/$(PACKAGE).mo; \
	done

=== debian/changelog ===
whois (4.7.26) unstable; urgency=medium

  * Added support for passing command line options in the environment
    variables WHOIS_OPTIONS and MKPASSWD_OPTIONS. (Closes: #324858)
  * Updated the French translation. (Closes: #474307)

 -- Marco d'Itri <md@linux.it>  Sat, 05 Apr 2008 04:53:26 +0200

whois (4.7.25) unstable; urgency=low

  * mkpasswd: added support for the SHA-256 and SHA-512 methods from
    glibc 2.7.
  * mkpasswd: added support for FreeBSD-style Blowfish and NT-Hash methods.
  * mkpasswd: added support for variable-rounds methods (OpenBSD-style
    Blowfish and SHA-256/SHA-512).
  * mkpasswd: renamed -H/--hash to -m/--method.
  * mkpasswd: finished support for libxcrypt (not enabled by default).
  * Added NONE entries for the rest of .uk SLD. (Closes: #471963)
  * Added the .bd, .gh, .lc, .sc, .ma, .me, .om and .rs TLD servers.
  * Updated the .aero, .bb and .bz TLD servers. (Closes: #448683)
  * Added another RIPE ERX ASN block. (Closes: #452328)
  * Added a new ASN allocation.
  * Added Basque and Czech translations.

 -- Marco d'Itri <md@linux.it>  Sun, 23 Mar 2008 19:18:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: standard
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 Build-Depends: debhelper (>= 4), gettext, libidn11-dev
 
 Package: whois

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 build:
 	dh_testdir
-	$(MAKE) whois mkpasswd \
+	$(MAKE) \
 		OPTS="-O2 -g -DCONFIG_FILE=\\\"/etc/whois.conf\\\"" \
 		HAVE_LIBIDN=1
 	cd po && $(MAKE) whois.pot

## whois 4.7.27

=== Makefile ===
prefix = /usr/local

CFLAGS = -g -O2

PERL = perl

# Solaris
#whois_LDADD += -lnsl -lsocket

# FreeBSD
#LIBS += -L/usr/local/lib -lintl
#INCLUDES += -I/usr/local/include

# OS/2 EMX
#whois_LDADD += -lsocket
#LDFLAGS += -Zexe -Dstrncasecmp=strnicmp

ifdef CONFIG_FILE
DEFS += -DCONFIG_FILE=\"$(CONFIG_FILE)\"
endif

ifdef HAVE_LIBIDN
whois_LDADD += -lidn
DEFS += -DHAVE_LIBIDN
endif

ifdef HAVE_XCRYPT
mkpasswd_LDADD += -lxcrypt
DEFS += -DHAVE_XCRYPT
else
mkpasswd_LDADD += -lcrypt
endif

all: Makefile.depend whois mkpasswd #pos

whois_OBJECTS := whois.o utils.o
mkpasswd_OBJECTS := mkpasswd.o utils.o

##############################################################################
%.o: %.c
	$(CC) $(DEFS) $(INCLUDES) $(CFLAGS) -c $<

whois: $(whois_OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $^ $(whois_LDADD) $(LIBS)

mkpasswd: $(mkpasswd_OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $^ $(mkpasswd_LDADD) $(LIBS)

##############################################################################
as_del.h: as_del_list make_as_del.pl
	$(PERL) -w make_as_del.pl < as_del_list > $@

as32_del.h: as32_del_list make_as32_del.pl
	$(PERL) -w make_as32_del.pl < as32_del_list > $@

ip_del.h: ip_del_list make_ip_del.pl
	$(PERL) -w make_ip_del.pl < ip_del_list > $@

ip6_del.h: ip6_del_list make_ip6_del.pl
	$(PERL) -w make_ip6_del.pl < ip6_del_list > $@

tld_serv.h: tld_serv_list make_tld_serv.pl
	$(PERL) -w make_tld_serv.pl < tld_serv_list > $@

##############################################################################
install: install-whois install-mkpasswd install-pos

install-whois: whois
	install -d $(BASEDIR)$(prefix)/bin/
	install -d $(BASEDIR)$(prefix)/share/man/man1/
	install -m 0755 whois $(BASEDIR)$(prefix)/bin/
	install -m 0644 whois.1 $(BASEDIR)$(prefix)/share/man/man1/

install-mkpasswd: mkpasswd
	install -d $(BASEDIR)$(prefix)/bin/
	install -d $(BASEDIR)$(prefix)/share/man/man1/
	install -m 0755 mkpasswd $(BASEDIR)$(prefix)/bin/
	install -m 0644 mkpasswd.1 $(BASEDIR)$(prefix)/share/man/man1/

install-pos:
	cd po && $(MAKE) $@

distclean: clean
	rm -f po/whois.pot

clean:
	rm -f Makefile.depend as_del.h ip_del.h ip6_del.h tld_serv.h \
		*.o whois mkpasswd
	rm -f po/*.mo

pos:
	cd po && $(MAKE)

depend: Makefile.depend
Makefile.depend:
	$(CC) $(DEFS) $(INCLUDES) $(CFLAGS) -MM -MG *.c > $@

-include Makefile.depend

=== debian/changelog ===
whois (4.7.27) unstable; urgency=medium

  * Updated the .md and .me TLD servers.
  * Added a new ASN allocation.
  * Added a new IPv4 allocation.
  * Updated the Polish and Czech translations.

 -- Marco d'Itri <md@linux.it>  Thu, 17 Jul 2008 00:54:55 +0200

## whois 4.7.30

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
-prefix = /usr/local
+prefix = /usr
 
 CFLAGS = -g -O2
 
 PERL = perl
+INSTALL = install
 
 # Solaris
 #whois_LDADD += -lnsl -lsocket
@@ -17,6 +18,10 @@
 
 ifdef CONFIG_FILE
 DEFS += -DCONFIG_FILE=\"$(CONFIG_FILE)\"
+endif
+
+ifdef LOCALEDIR
+DEFS += -DLOCALEDIR=\"$(BASEDIR)$(prefix)/share/locale\"
 endif
 
 ifdef HAVE_LIBIDN
@@ -63,22 +68,22 @@
 	$(PERL) -w make_tld_serv.pl < tld_serv_list > $@
 
 ##############################################################################
-install: install-whois install-mkpasswd install-pos
+install: install-whois install-mkpasswd #install-pos
 
 install-whois: whois
-	install -d $(BASEDIR)$(prefix)/bin/
-	install -d $(BASEDIR)$(prefix)/share/man/man1/
-	install -m 0755 whois $(BASEDIR)$(prefix)/bin/
-	install -m 0644 whois.1 $(BASEDIR)$(prefix)/share/man/man1/
+	$(INSTALL) -d $(BASEDIR)$(prefix)/bin/
+	$(INSTALL) -d $(BASEDIR)$(prefix)/share/man/man1/
+	$(INSTALL) -m 0755 whois $(BASEDIR)$(prefix)/bin/
+	$(INSTALL) -m 0644 whois.1 $(BASEDIR)$(prefix)/share/man/man1/
 
 install-mkpasswd: mkpasswd
-	install -d $(BASEDIR)$(prefix)/bin/
-	install -d $(BASEDIR)$(prefix)/share/man/man1/
-	install -m 0755 mkpasswd $(BASEDIR)$(prefix)/bin/
-	install -m 0644 mkpasswd.1 $(BASEDIR)$(prefix)/share/man/man1/
+	$(INSTALL) -d $(BASEDIR)$(prefix)/bin/
+	$(INSTALL) -d $(BASEDIR)$(prefix)/share/man/man1/
+	$(INSTALL) -m 0755 mkpasswd $(BASEDIR)$(prefix)/bin/
+	$(INSTALL) -m 0644 mkpasswd.1 $(BASEDIR)$(prefix)/share/man/man1/
 
 install-pos:
-	cd po && $(MAKE) $@
+	cd po && $(MAKE) install
 
 distclean: clean
 	rm -f po/whois.pot

=== po/Makefile ===
--- 
+++ 
@@ -1,9 +1,12 @@
-INSTALL= /usr/bin/install -c
-INSTALLNLSDIR=$(BASEDIR)/usr/share/locale
+prefix = /usr
+
+INSTALL= install
+
+INSTALLNLSDIR=$(BASEDIR)$(prefix)/share/locale
 
 PACKAGE = whois
 
-CATALOGS = cs.mo de.mo el.mo es.mo eu.mo fr.mo it.mo ja.mo no.mo pl.mo pt_BR.mo ru.mo
+CATALOGS = cs.mo de.mo el.mo es.mo eu.mo fr.mo it.mo ja.mo no.mo pl.mo pt_BR.mo ru.mo fi.mo
 
 POTFILES=../whois.c ../mkpasswd.c

=== debian/changelog ===
whois (4.7.30) unstable; urgency=high

  * Updated the .gi, .lc and .mn TLD servers.

 -- Marco d'Itri <md@linux.it>  Tue, 16 Dec 2008 18:49:28 +0100

whois (4.7.29) unstable; urgency=medium

  * Fixed the short option -S which I broke in 4.7.25.
  * Added support for ASN32 in the ASPLAIN notation.
  * Do not disable the timeout after the connection to the server, because
    it can still hang forever.
  * Added the .gy, .hn, .ng and .sl TLD servers.
  * Updated the .tel, .cr, .dz, .ht, .im, .jo, .ly, .mt, .mu, .pr, .rs, .sn,
    .com.uy, .vc and .vn TLD servers.
  * Added support for -kenic NIC handles.
  * Added new IPv4 allocations.
  * Little portability fixes.
  * Added Finnish translation contributed by Sami Kerola.

 -- Marco d'Itri <md@linux.it>  Tue, 09 Dec 2008 02:08:35 +0100

whois (4.7.28) unstable; urgency=medium

  * Updated the .aero TLD server.
  * Added a new ASN allocation.
  * Search PGPKEY-* objects in the RIPE database.

 -- Marco d'Itri <md@linux.it>  Wed, 10 Sep 2008 18:49:37 +0200

=== debian/control ===
Source: whois
Section: net
Priority: standard
Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 3.8.0
Build-Depends: debhelper (>= 4), gettext, libidn11-dev

Package: whois
Architecture: any
Depends: ${shlibs:Depends}
Description: an intelligent whois client
 This is a new whois (RFC 3912) client rewritten from scratch.
 It is inspired from and compatible with the usual BSD and RIPE whois(1)
 programs.
 It is intelligent and can automatically select the appropriate whois
 server for most queries.
 .
 The package also contains mkpasswd, a features-rich front end to crypt(3).

=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,7 @@
 
 build:
 	dh_testdir
-	$(MAKE) \
-		OPTS="-O2 -g -DCONFIG_FILE=\\\"/etc/whois.conf\\\"" \
-		HAVE_LIBIDN=1
+	$(MAKE) CONFIG_FILE="/etc/whois.conf" HAVE_LIBIDN=1
 	cd po && $(MAKE) whois.pot
 	touch $@
 
@@ -40,6 +38,7 @@
 	dh_shlibdeps
 	dh_installdeb
 	dh_gencontrol
+	dh_md5sums
 	dh_builddeb
 
 binary: binary-arch

## whois 4.7.30maemo2

=== debian/changelog ===
whois (4.7.30maemo2) fremantle; urgency=low

  * Initial Release for Maemo.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 19 Apr 2010 15:05:21 +0300

whois (4.7.30maemo1) fremantle; urgency=low

  * Initial Release for Maemo.

 -- Mohammad Abu-Garbeyyeh <mohammad7410@gmail.com>  Mon, 19 Apr 2010 14:47:36 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: whois
 Section: net
-Priority: standard
-Maintainer: Marco d'Itri <md@linux.it>
+Priority: optional
+Maintainer: Mohammad Abu-Garbeyyeh
+XBSC-Original-Maintainer: Marco d'Itri <md@linux.it>
 Standards-Version: 3.8.0
 Build-Depends: debhelper (>= 4), gettext, libidn11-dev

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	dh_clean
 
 	# sanity check
-	egrep -q '^#define VERSION "$(VERSION)"$$' config.h
+#	egrep -q '^#define VERSION "$(VERSION)"$$' config.h
 
 	dh_installdirs usr/bin
 	install whois mkpasswd $D/usr/bin/

## whois 4.7.33

=== debian/changelog ===
whois (4.7.33) unstable; urgency=medium

  * mkpasswd: use /dev/urandom to generate the salt. If it is not present,
    initialize srand(3) with gettimeofday(2) instead of time(2) to have a
    larger randomness space. (Closes: #523387)
  * mkpasswd: added preliminary support for variable length salts, patch
    courtesy of Nicolas François.
  * Updated the .co.za SLD server. (Closes: #521579)

 -- Marco d'Itri <md@linux.it>  Sun, 12 Apr 2009 05:55:21 +0200

whois (4.7.32) unstable; urgency=medium

  * Added new ASN allocations.
  * Updated the .tel, .gg and .je TLD servers.

 -- Marco d'Itri <md@linux.it>  Mon, 16 Mar 2009 18:08:04 +0100

whois (4.7.31) unstable; urgency=low

  * Implemented a 10 seconds timeout on connect(2) to allow querying
    servers with broken IPv6 connectivity. (Closes: #408096)
  * Added support for automatically determining the server for in-addr.arpa
    domains.
  * Added new IPv4 allocations.
  * Fixed a typo in de.po. (Closes: #514619)

 -- Marco d'Itri <md@linux.it>  Sun, 01 Mar 2009 19:39:42 +0100

## whois 4.7.34

=== debian/changelog ===
whois (4.7.34) unstable; urgency=medium

  * Added new IPv4 allocations.
  * Fixed the disclaimer suppression data for .mobi. (Closes: #526143)
  * Updated the French translation. (Closes: #527605)
  * Updated the .bd TLD server.

 -- Marco d'Itri <md@linux.it>  Wed, 17 Jun 2009 11:59:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: whois
 Section: net
-Priority: optional
-Maintainer: Mohammad Abu-Garbeyyeh
-XBSC-Original-Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.8.0
-Build-Depends: debhelper (>= 4), gettext, libidn11-dev
+Priority: standard
+Maintainer: Marco d'Itri <md@linux.it>
+Standards-Version: 3.8.1
+Build-Depends: debhelper (>= 5), gettext, libidn11-dev
 
 Package: whois
 Architecture: any

## whois 4.7.34ubuntu2

=== debian/changelog ===
whois (4.7.34ubuntu2) karmic; urgency=low

  * Update config.h's VERSION macro to fix FTBFS

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 17 Oct 2009 10:53:04 -0400

whois (4.7.34ubuntu1) karmic; urgency=low

  * Update .biz ignore string (LP: #453599) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 16 Oct 2009 21:38:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: whois
 Section: net
 Priority: standard
-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Ubuntu Developers <ubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
 Standards-Version: 3.8.1
 Build-Depends: debhelper (>= 5), gettext, libidn11-dev

## whois 4.7.36

=== debian/changelog ===
whois (4.7.36) unstable; urgency=medium

  * Fixed the whois server for 182.0.0.0/7 added in 4.7.35.
  * Fixed the whois servers for some ERX legacy allocations.

 -- Marco d'Itri <md@linux.it>  Wed, 12 Aug 2009 22:01:25 +0200

whois (4.7.35) unstable; urgency=medium

  * Added new IPv4 allocations.
  * Updated the .ae, .jobs, .ms, .ph and .tv TLD servers. (Closes: #539567)
  * Added the .ls, .mg, .mk, .tz and .uy TLD servers.
  * Removed the .td TLD server.
  * mkpasswd: generate random-length hashes when supported.
  * mkpasswd: use ngettext to support translation of plural forms.
    (Patch courtesy of Petr Pisar.)
  * Updated some translations.

 -- Marco d'Itri <md@linux.it>  Wed, 12 Aug 2009 15:31:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: whois
 Section: net
 Priority: standard
-Maintainer: Ubuntu Developers <ubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.8.1
+Maintainer: Marco d'Itri <md@linux.it>
+Standards-Version: 3.8.2
 Build-Depends: debhelper (>= 5), gettext, libidn11-dev
 
 Package: whois

## whois 5.0.0ubuntu3

=== po/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 PACKAGE = whois
 
-CATALOGS = cs.mo de.mo el.mo es.mo eu.mo fr.mo it.mo ja.mo no.mo pl.mo pt_BR.mo ru.mo fi.mo
+CATALOGS = cs.mo de.mo el.mo es.mo eu.mo fi.mo fr.mo it.mo ja.mo no.mo pl.mo pt_BR.mo ru.mo zh_CN.po
 
 POTFILES=../whois.c ../mkpasswd.c

=== debian/changelog ===
whois (5.0.0ubuntu3) lucid; urgency=low

  * Fix FTBFS caused by version string mismatch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 19 Mar 2010 23:16:11 +0000

whois (5.0.0ubuntu2) lucid; urgency=low

  * Update tld for gl. (LP: #518077)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 16 Mar 2010 11:16:13 -0400

whois (5.0.0ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
    - Update config.h
    - Update .biz ignore string (LP: #453599)
    - debian/control, debian/mkpasswd.install, debian/whois.install
      debian/rules: Split out mkpasswd and whois. (LP: #284416)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 04 Jan 2010 15:00:58 +0000

whois (5.0.0) unstable; urgency=low

  * Added optional support for automatically transcoding the output of
    servers. (Closes: #363366, #402356)
  * Automatically add --show-handles to queries for .dk domains.
  * Normalize the querystring and convert it to punycode even if a server
    is specified on the command line.
  * Updated the .id, .is, .my, .sb and .tj TLD servers.
  * Removed the .mm, .pw, .sr and .tp TLD servers.
  * Cleaned up the horrible strings manipulation code. (Closes: #131924)

 -- Marco d'Itri <md@linux.it>  Sun, 20 Dec 2009 03:01:40 +0100

whois (4.7.37) unstable; urgency=medium

  * Added new ASN allocations.
  * Added new IPv4 allocations.
  * Fixed the disclaimer suppression data for .biz. (Closes: #551299)
  * Added Chinese translation contributed by Feng Liu.
  * Added the .cm and .kn TLD servers.
  * Updated the .bi, .ge, .gf, .ki, .ls, .np and .tr TLD servers.
  * Removed the .mq TLD server.

 -- Marco d'Itri <md@linux.it>  Mon, 07 Dec 2009 22:47:26 +0100

whois (4.7.36ubuntu3) lucid; urgency=low

  * Fix FTBFS. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Nov 2009 14:42:54 -0500

whois (4.7.36ubuntu2) lucid; urgency=low

  * debian/control, debian/mkpasswd.install, debian/whois.install,
    debian/rules, config.h: Split out mkpasswd and mkwhois (LP: #284416) 
  * debian/control: Bump Standards-Version to 3.8.3.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Nov 2009 14:12:15 -0500

whois (4.7.36ubuntu1) lucid; urgency=low

  * Merge from debian unstable, remaining changes:
    - Update config.h.
    - Update .biz ignore string (LP: #453599)
    - Update maintainer according to spec.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 21 Oct 2009 22:24:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: whois
 Section: net
 Priority: standard
-Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.8.2
+Maintainer: Ubuntu Developers <ubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
+Standards-Version: 3.8.3
 Build-Depends: debhelper (>= 5), gettext, libidn11-dev
 
 Package: whois
@@ -14,5 +15,9 @@
  programs.
  It is intelligent and can automatically select the appropriate whois
  server for most queries.
- .
- The package also contains mkpasswd, a features-rich front end to crypt(3).
+
+Package: mkpasswd
+Architecture: any
+Depends: ${shlibs:Depends}
+Description: an intelligent crypt(3) interface
+ This is an interface to the crypt(3) interface to generate random passwords.

=== debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

#export DH_VERBOSE=1

D := $(shell pwd)/debian/whois
W := $(shell pwd)/debian/mkpasswd

VERSION := $(shell dpkg-parsechangelog | sed -n 's/\+.*$$//; /^Version/s/.* //p')

build:
	dh_testdir
	$(MAKE) CONFIG_FILE="/etc/whois.conf" HAVE_LIBIDN=1 HAVE_ICONV=1
	cd po && $(MAKE) whois.pot
	touch $@

clean:
	dh_testdir
	-rm -f build
	$(MAKE) distclean
	dh_clean

binary-arch: DH_OPTIONS=
binary-arch: checkroot build
	dh_testdir
	dh_clean

	# sanity check
	egrep -q '^#define VERSION "$(VERSION)"$$' config.h

	mkdir -p $W/usr/bin
	mkdir -p $D/usr/bin

	install whois $D/usr/bin/
	install mkpasswd $W/usr/bin
	cd po && $(MAKE) install BASEDIR=$D && $(MAKE) install BASEDIR=$W
	dh_installman -i -a
	dh_installdocs README
	dh_installchangelogs -i -a 
	dh_strip -i -a
	dh_compress -i -a
	dh_fixperms -i -a
	dh_shlibdeps -i -a
	dh_installdeb -i -a
	dh_gencontrol -i -a
	dh_md5sums -i -a
	dh_builddeb -i -a

binary: binary-arch

binary-indep:

checkroot:
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep build clean checkroot

## whois 5.0.1

=== debian/changelog ===
whois (5.0.1) unstable; urgency=medium

  * Added new IPv4 allocations.
  * Removed the .dj TLD server.
  * Added support to mkpasswd for a "-5" convenience command line parameter.
  * Updated one or more translations. (Closes: #562706)
  * Removed the broken links from the README. (Closes: #566950)

 -- Marco d'Itri <md@linux.it>  Thu, 28 Jan 2010 00:55:22 +0100

## whois 5.0.2

=== debian/changelog ===
whois (5.0.2) unstable; urgency=medium

  * Added new IPv4 allocations.
  * Updated one or more translations. (Closes: #572068)
  * Updated the .gt TLD server. (Closes: #576521)
  * Use inet_pton (if available) to parse IP addresses. (Closes: #573006)

 -- Marco d'Itri <md@linux.it>  Sun, 11 Apr 2010 04:17:33 +0200

=== debian/control ===
Source: whois
Section: net
Priority: standard
Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 5), gettext, libidn11-dev

Package: whois
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: an intelligent whois client
 This is a new whois (RFC 3912) client rewritten from scratch.
 It is inspired from and compatible with the usual BSD and RIPE whois(1)
 programs.
 It is intelligent and can automatically select the appropriate whois
 server for most queries.
 .
 The package also contains mkpasswd, a features-rich front end to crypt(3).

=== debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

#export DH_VERBOSE=1

D := $(shell pwd)/debian/whois

VERSION := $(shell dpkg-parsechangelog | sed -n 's/\+.*$$//; /^Version/s/.* //p')

build:
	dh_testdir
	$(MAKE) CONFIG_FILE="/etc/whois.conf" HAVE_LIBIDN=1 HAVE_ICONV=1
	cd po && $(MAKE) whois.pot
	touch $@

clean:
	dh_testdir
	-rm -f build
	$(MAKE) distclean
	dh_clean

binary-arch: checkroot build
	dh_testdir
	dh_clean

	# sanity check
	egrep -q '^#define VERSION "$(VERSION)"$$' config.h

	dh_installdirs usr/bin
	install whois mkpasswd $D/usr/bin/
	cd po && $(MAKE) install BASEDIR=$D
	dh_installman whois.1 mkpasswd.1
	dh_installdocs README
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch

binary-indep:

checkroot:
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep build clean checkroot

## whois 5.0.5

=== debian/changelog ===
whois (5.0.5) unstable; urgency=medium

  * Added the .xn--p1ai (.рф, Russian Federation) TLD server.
    (Closes: #581611)
  * Updated the .ls TLD server. (Closes: #582077)

 -- Marco d'Itri <md@linux.it>  Sun, 23 May 2010 03:17:45 +0200

whois (5.0.4) unstable; urgency=high

  * Added new IPv4 allocations.
  * Stop using inet_pton to parse IP addresses because it does not work
    when a netmask length is specified. (Closes: #580633)

 -- Marco d'Itri <md@linux.it>  Tue, 11 May 2010 22:33:37 +0200

whois (5.0.3) unstable; urgency=medium

  * Added the .dj, .gl, .xn--mgbaam7a8h (.امارات, United Arabs Emirates),
    and .xn--mgberp4a5d4ar (.السعودية, Saudi Arabia) TLD servers.
  * Explicitly ignore Ubuntu patchlevels in the debian/rules version check
    to help the Ubuntu developers who keep breaking their package every time
    they patch it.

 -- Marco d'Itri <md@linux.it>  Thu, 06 May 2010 23:51:11 +0200

## whois 5.0.6

=== debian/changelog ===
whois (5.0.6) unstable; urgency=medium

  * Added new IPv4 allocations.
  * Added the .priv.at, .xn--fiqs8s (.中国, China), .xn--fiqz9s
    (.中國, China) and .xn--wgbh1c (.مصر, Egypt) TLD servers.
  * Do not use the "AS" prefix for ASN queries to whois.arin.net.
    (Closes: #583798)

 -- Marco d'Itri <md@linux.it>  Sun, 11 Jul 2010 16:49:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: standard
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Build-Depends: debhelper (>= 5), gettext, libidn11-dev
 
 Package: whois

## whois 5.0.7

=== debian/changelog ===
whois (5.0.7) unstable; urgency=medium

  * Added new IPv4 allocations.
  * Added the .xn--j6w193g (.香港, Hong Kong), .xn--kprw13d (.台湾, Taiwan)
    and .xn--kpry57d (.台灣, Taiwan) TLD servers.
  * Updated the .bd, .bo, .cm, .co, .cu, .dz, .gr, .hk, .lb, .ni, .rw, .tw
    and .tz TLD servers.

 -- Marco d'Itri <md@linux.it>  Mon, 09 Aug 2010 00:58:21 +0200

## whois 5.0.7ubuntu1

=== debian/changelog ===
whois (5.0.7ubuntu1) maverick; urgency=low

  * Add replaces/conflicts as mkpasswd is no longer a separate package.
    (LP: #632791)
  * NOTE: This needs to be kept until the next LTS release
    as mkpasswd is a published package in lucid.

 -- Steve Beattie <sbeattie@ubuntu.com>  Tue, 07 Sep 2010 17:24:56 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: whois
 Section: net
 Priority: standard
-Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.9.0
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
+Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 5), gettext, libidn11-dev
 
 Package: whois
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: mkpasswd
+Conflicts: mkpasswd
 Description: an intelligent whois client
  This is a new whois (RFC 3912) client rewritten from scratch.
  It is inspired from and compatible with the usual BSD and RIPE whois(1)

## whois 5.0.8

=== debian/changelog ===
whois (5.0.8) unstable; urgency=medium

  * Added the .xn--fzc2c9e2c (.ලංකා, Sri Lanka, Sinhala), .xn--mgbayh7gpa
    (.الاردن, Jordan) and .xn--pgbs0dh (.تونس, Tunisia) domains.
    .xn--ygbi2ammx (.فلسطين, Palestinian Territory) domains.
  * Added the .xn--o3cw4h (.ไทย, Thailand) and .xn--ygbi2ammx (.فلسطين,
    Palestinian Territory) TLD servers.
  * Updated the .bd and .ps TLD servers.
  * Removed the .lk TLD server.

 -- Marco d'Itri <md@linux.it>  Wed, 06 Oct 2010 17:57:40 +0200

## whois 5.0.10

=== Makefile ===
--- 
+++ 
@@ -5,16 +5,24 @@
 PERL = perl
 INSTALL = install
 
+whois_OBJECTS := whois.o utils.o
+mkpasswd_OBJECTS := mkpasswd.o utils.o
+
+##############################################################################
 # Solaris
-#whois_LDADD += -lnsl -lsocket
+#whois_LDADD += -lnsl -lsocket -liconv
 
 # FreeBSD
+#whois_LDADD += -liconv
 #LIBS += -L/usr/local/lib -lintl
 #INCLUDES += -I/usr/local/include
 
 # OS/2 EMX
 #whois_LDADD += -lsocket
 #LDFLAGS += -Zexe -Dstrncasecmp=strnicmp
+
+# OS X
+#whois_LDADD += -liconv
 
 ifdef CONFIG_FILE
 DEFS += -DCONFIG_FILE=\"$(CONFIG_FILE)\"
@@ -29,6 +37,11 @@
 DEFS += -DHAVE_LIBIDN
 endif
 
+ifdef HAVE_ICONV
+whois_OBJECTS += simple_recode.o
+DEFS += -DHAVE_ICONV
+endif
+
 ifdef HAVE_XCRYPT
 mkpasswd_LDADD += -lxcrypt
 DEFS += -DHAVE_XCRYPT
@@ -36,10 +49,8 @@
 mkpasswd_LDADD += -lcrypt
 endif
 
+##############################################################################
 all: Makefile.depend whois mkpasswd #pos
-
-whois_OBJECTS := whois.o utils.o
-mkpasswd_OBJECTS := mkpasswd.o utils.o
 
 ##############################################################################
 %.o: %.c
@@ -53,19 +64,22 @@
 
 ##############################################################################
 as_del.h: as_del_list make_as_del.pl
-	$(PERL) -w make_as_del.pl < as_del_list > $@
+	$(PERL) -w make_as_del.pl < $< > $@
 
 as32_del.h: as32_del_list make_as32_del.pl
-	$(PERL) -w make_as32_del.pl < as32_del_list > $@
+	$(PERL) -w make_as32_del.pl < $< > $@
 
 ip_del.h: ip_del_list make_ip_del.pl
-	$(PERL) -w make_ip_del.pl < ip_del_list > $@
+	$(PERL) -w make_ip_del.pl < $< > $@
 
 ip6_del.h: ip6_del_list make_ip6_del.pl
-	$(PERL) -w make_ip6_del.pl < ip6_del_list > $@
+	$(PERL) -w make_ip6_del.pl < $< > $@
 
 tld_serv.h: tld_serv_list make_tld_serv.pl
-	$(PERL) -w make_tld_serv.pl < tld_serv_list > $@
+	$(PERL) -w make_tld_serv.pl < $< > $@
+
+servers_charset.h: servers_charset_list make_servers_charset.pl
+	$(PERL) -w make_servers_charset.pl < $< > $@
 
 ##############################################################################
 install: install-whois install-mkpasswd #install-pos

=== debian/changelog ===
whois (5.0.10) unstable; urgency=medium

  * Added new IPv4 allocations.

 -- Marco d'Itri <md@linux.it>  Tue, 30 Nov 2010 23:51:59 +0100

whois (5.0.9) unstable; urgency=low

  * Added new IPv4 allocations.

 -- Marco d'Itri <md@linux.it>  Sun, 12 Nov 2010 22:24:42 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 D := $(shell pwd)/debian/whois
 
-VERSION := $(shell dpkg-parsechangelog | sed -n 's/\+.*$$//; /^Version/s/.* //p')
+VERSION := $(shell dpkg-parsechangelog | sed -n 's/ubuntu[0-9]*$$//; s/\+.*$$//; /^Version/s/.* //p')
 
 build:
 	dh_testdir

## whois 5.0.11

=== po/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 PACKAGE = whois
 
-CATALOGS = cs.mo de.mo el.mo es.mo eu.mo fi.mo fr.mo it.mo ja.mo no.mo pl.mo pt_BR.mo ru.mo zh_CN.po
+CATALOGS = cs.mo de.mo el.mo es.mo eu.mo fi.mo fr.mo it.mo ja.mo no.mo pl.mo pt_BR.mo ru.mo zh_CN.mo
 
 POTFILES=../whois.c ../mkpasswd.c

=== debian/changelog ===
whois (5.0.11) unstable; urgency=medium

  * Added the remaining IPv4 allocations.
  * Added new ASN allocations.
  * Updated the .co and .gm TLD servers.

 -- Marco d'Itri <md@linux.it>  Sun, 23 Jan 2011 18:08:55 +0100

=== debian/control ===
Source: whois
Section: net
Priority: standard
Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 5), gettext, libidn11-dev

Package: whois
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: an intelligent whois client
 This is a new whois (RFC 3912) client rewritten from scratch.
 It is inspired from and compatible with the usual BSD and RIPE whois(1)
 programs.
 It is intelligent and can automatically select the appropriate whois
 server for most queries.
 .
 The package also contains mkpasswd, a features-rich front end to crypt(3).

## whois 5.0.11ubuntu1

=== debian/changelog ===
whois (5.0.11ubuntu1) natty; urgency=low

  * Merge from debian unstable. (LP: #714033) Remaining changes:
    - Add replaces/conflicts as mkpasswd is no longer a separate package.
      + Note: This needs to be kept until the next LTS release
        as mkpasswd is a published package in lucid.

 -- Angel Abad <angelabad@ubuntu.com>  Sun, 06 Feb 2011 13:10:00 +0100

whois (5.0.10ubuntu1) natty; urgency=low

  * Merge from debian unstable(LP #692424). Remaining changes:
    - Add replaces/conflicts as mkpasswd is no longer a separate package.
      (LP: #632791)
      + Note: This needs to be kept until the next LTS release
        as mkpasswd is a published package in lucid.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 20 Dec 2010 10:24:17 +0530

whois (5.0.9ubuntu1) natty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add replaces/conflicts as mkpasswd is no longer a separate package.
      (LP: #632791):
      + NOTE: This needs to be kept until the next LTS release
        as mkpasswd is a published package in lucid.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 29 Nov 2010 09:59:04 -0500

whois (5.0.8ubuntu1) natty; urgency=low

  * Merge from debian unstable (LP: #662768), remaining changes:
    - Add replaces/conflicts as mkpasswd is no longer a separate package.
      (LP: #632791):
      + NOTE: This needs to be kept until the next LTS release
        as mkpasswd is a published package in lucid.

 -- Lorenzo De Liso <blackz@ubuntu.com>  Mon, 18 Oct 2010 17:50:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: whois
 Section: net
 Priority: standard
-Maintainer: Marco d'Itri <md@linux.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
 Standards-Version: 3.9.1
 Build-Depends: debhelper (>= 5), gettext, libidn11-dev
 
 Package: whois
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: mkpasswd
+Conflicts: mkpasswd
 Description: an intelligent whois client
  This is a new whois (RFC 3912) client rewritten from scratch.
  It is inspired from and compatible with the usual BSD and RIPE whois(1)

## whois 5.0.11ubuntu1.1

=== debian/changelog ===
whois (5.0.11ubuntu1.1) natty-proposed; urgency=low

  [ Alexandru Cucu ]
  * Updated the .ua server (from whois.net.ua to whois.ua) (LP: #785052)
    - Added .net.ua (whois.net.ua)

  [ Marc Deslauriers ]
  * debian/rules: relax regex to work with SRU release

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 14 Jun 2011 09:04:41 -0400

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 D := $(shell pwd)/debian/whois
 
-VERSION := $(shell dpkg-parsechangelog | sed -n 's/ubuntu[0-9]*$$//; s/\+.*$$//; /^Version/s/.* //p')
+VERSION := $(shell dpkg-parsechangelog | sed -n 's/ubuntu.*$$//; s/\+.*$$//; /^Version/s/.* //p')
 
 build:
 	dh_testdir

## whois 5.0.11ubuntu2

=== debian/changelog ===
whois (5.0.11ubuntu2) oneiric; urgency=low

  * Updated the .ua server (from whois.net.ua to whois.ua) (LP: #785052)
    - Added .net.ua (whois.net.ua)

 -- Alexandru Cucu <alexandru.cucu@ubuntu.ro>  Fri, 10 Jun 2011 15:46:55 +0300

## whois 5.0.11ubuntu3

=== debian/changelog ===
whois (5.0.11ubuntu3) oneiric-proposed; urgency=low

  * Backport changes to fix whois doesn't properly query .hr/.sx/.pe TLDs 
    and incorrect format for whois.arin.net (LP: #943502)
    - Add the "+" flag by default to queries to whois.arin.net if the
      argument looks like an IP address. Also add the "a" and "n" flags.
      No thanks to ARIN for breaking every whois client.
    - Updated the .hr TLD server. (Closes: #646572)
    - Added the .sx TLD server.
    - Updated the .pe TLD server, this time for real. (Closes: #653105)

 -- Chris J Arges <chris.j.arges@canonical.com>  Wed, 05 Dec 2012 15:22:30 -0600

## whois 5.0.12

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 prefix = /usr
 
-CFLAGS = -g -O2
+CFLAGS ?= -g -O2
 
 PERL = perl
 INSTALL = install
@@ -44,17 +44,23 @@
 
 ifdef HAVE_XCRYPT
 mkpasswd_LDADD += -lxcrypt
-DEFS += -DHAVE_XCRYPT
+DEFS += -DHAVE_XCRYPT -DHAVE_LINUX_CRYPT_GENSALT
 else
+ifdef HAVE_LINUX_CRYPT_GENSALT
+# owl and openSUSE have crypt_gensalt(3) in the libc's libcrypt
+DEFS += -DHAVE_LINUX_CRYPT_GENSALT
+endif
 mkpasswd_LDADD += -lcrypt
 endif
+
+CPPFLAGS += $(DEFS) $(INCLUDES)
 
 ##############################################################################
 all: Makefile.depend whois mkpasswd #pos
 
 ##############################################################################
 %.o: %.c
-	$(CC) $(DEFS) $(INCLUDES) $(CFLAGS) -c $<
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c $<
 
 whois: $(whois_OBJECTS)
 	$(CC) $(LDFLAGS) -o $@ $^ $(whois_LDADD) $(LIBS)
@@ -104,7 +110,7 @@
 
 clean:
 	rm -f Makefile.depend as_del.h ip_del.h ip6_del.h tld_serv.h \
-		*.o whois mkpasswd
+		servers_charset.h *.o whois mkpasswd
 	rm -f po/*.mo
 
 pos:
@@ -112,6 +118,6 @@
 
 depend: Makefile.depend
 Makefile.depend:
-	$(CC) $(DEFS) $(INCLUDES) $(CFLAGS) -MM -MG *.c > $@
+	$(CC) $(CPPFLAGS) $(CFLAGS) -MM -MG *.c > $@
 
 -include Makefile.depend

=== debian/changelog ===
whois (5.0.12) unstable; urgency=low

  * Recursion disabled when the query string contains spaces, because
    probably the query format will not be compatible with the referral
    server (e.g. whois to rwhois or ARIN to RIPE).
  * Add the "+" flag by default to queries to whois.arin.net if the
    argument looks like an IP address. Also add the "a" and "n" flags.
    No thanks to ARIN for breaking every whois client.
  * Added the .cv, .lk, .mq, .sy, .so, .biz.ua, .co.ua, .pp.ua, .qa,
    .xn--3e0b707e (.한국, Korea), .xn--45brj9c (.ভারত, India, Bengali),
    .xn--90a3ac (.СРБ, Serbia), .xn--clchc0ea0b2g2a9gcd (.சிங்கப்பூர்,
    Singapore, Tamil), .xn--fpcrj9c3d (.భారత్, India, Telugu), .xn--fzc2c9e2c
    (.ලංකා, Sri Lanka, Sinhala), .xn--gecrj9c (.ભારત, India, Gujarati),
    .xn--h2brj9c (.भारत, India, Hindi), .xn--lgbbat1ad8j (.الجزائر, Algeria),
    .xn--mgbayh7gpa (.الاردن, Jordan), .xn--mgbbh1a71e (.بھارت, India, Urdu),
    .xn--mgbc0a9azcg (.المغرب, Morocco), .xn--ogbpf8fl (.سورية, Syria),
    .xn--s9brj9c (.ਭਾਰਤ, India, Punjabi), .xn--xkc2al3hye2a (.இலங்கை, Sri
    Lanka, Tamil), .xn--wgbl6a (.قطر, Qatar), .xn--xkc2dl3a5ee0h
    (.இந்தியா, India, Tamil), .xn--yfro4i67o (.新加坡, Singapore, Chinese) and
    .xxx TLD servers. (Closes: #642424),
  * Added the .priv.at pseudo-SLD server.
  * Updated the .co, .gf, .gp, .kr, .li, .rs, .ru, .su, .sv, .ua and
    .xn--p1ai TLD servers. (Closes: #590425, #634830, #627478)
  * Added a new ASN allocation.
  * Fixed a typo and -t syntax in whois(1). (Closes: #614973, #632588)
  * Made whois return an error in some cases, code contributed by
    David Souther.
  * Split HAVE_LINUX_CRYPT_GENSALT from HAVE_XCRYPT to support SuSE,
    which has it builtin in the libc. Added untested support for Solaris'
    crypt_gensalt(3). This and the following changes have been contributed
    by Ludwig Nussel of SuSE.
  * mkpasswd: stop rejecting non-ASCII characters.
  * mkpasswd: added support for the 2y algorithm, which fixes CVE-2011-2483.
  * mkpasswd: raised the number of rounds for 2a/2y from 4 to 5, which is
    the current default.
  * mkpasswd: removed support for 2 and {SHA}, which actually are not
    supported by FreeBSD and libxcrypt.

 -- Marco d'Itri <md@linux.it>  Mon, 10 Oct 2011 02:04:32 +0200

=== debian/control ===
Source: whois
Section: net
Priority: standard
Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 5), gettext, libidn11-dev

Package: whois
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: intelligent whois client
 This is a new whois (RFC 3912) client rewritten from scratch.
 It is inspired from and compatible with the usual BSD and RIPE whois(1)
 programs.
 It is intelligent and can automatically select the appropriate whois
 server for most queries.
 .
 The package also contains mkpasswd, a features-rich front end to crypt(3).

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,14 @@
 #!/usr/bin/make -f
 SHELL+= -e
+
+DPKG_EXPORT_BUILDFLAGS = 1
+-include /usr/share/dpkg/buildflags.mk
 
 #export DH_VERBOSE=1
 
 D := $(shell pwd)/debian/whois
 
-VERSION := $(shell dpkg-parsechangelog | sed -n 's/ubuntu.*$$//; s/\+.*$$//; /^Version/s/.* //p')
+VERSION := $(shell dpkg-parsechangelog | sed -n 's/ubuntu[0-9]*$$//; s/\+.*$$//; /^Version/s/.* //p')
 
 build:
 	dh_testdir
@@ -45,7 +48,10 @@
 
 binary-indep:
 
+build-arch: build
+build-indep: build
+
 checkroot:
 	test root = "`whoami`"
 
-.PHONY: binary binary-arch binary-indep build clean checkroot
+.PHONY: binary binary-arch binary-indep build build-arch build-indep clean checkroot

## whois 5.0.13

=== debian/changelog ===
whois (5.0.13) unstable; urgency=medium

  * Updated the .hr TLD server. (Closes: #646572)
  * Improved the package description, thanks to debian-l10n-english@.
    (Closes: #650111)
  * Updated the FSF address in licenses.

 -- Marco d'Itri <md@linux.it>  Sun, 27 Nov 2011 21:19:28 +0100

## whois 5.0.14

=== debian/changelog ===
whois (5.0.14) unstable; urgency=medium

  * Added the .sx TLD server.
  * Updated the .pe TLD server. (Closes: #653105)

 -- Marco d'Itri <md@linux.it>  Fri, 23 Dec 2011 23:55:47 +0100

=== debian/control ===
Source: whois
Section: net
Priority: standard
Maintainer: Marco d'Itri <md@linux.it>
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 5), gettext, libidn11-dev

Package: whois
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: intelligent WHOIS client
 This package provides a commandline client for the WHOIS (RFC 3912)
 protocol, which queries online servers for information such as contact
 details for domains and IP address assignments.
 It can intelligently select the appropriate WHOIS server for most queries.
 .
 The package also contains mkpasswd, a features-rich front end to the
 password encryption function crypt(3).

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,6 @@
 
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk
-
-#export DH_VERBOSE=1
 
 D := $(shell pwd)/debian/whois
 
@@ -13,7 +11,6 @@
 build:
 	dh_testdir
 	$(MAKE) CONFIG_FILE="/etc/whois.conf" HAVE_LIBIDN=1 HAVE_ICONV=1
-	cd po && $(MAKE) whois.pot
 	touch $@
 
 clean:
@@ -30,8 +27,7 @@
 	egrep -q '^#define VERSION "$(VERSION)"$$' config.h
 
 	dh_installdirs usr/bin
-	install whois mkpasswd $D/usr/bin/
-	cd po && $(MAKE) install BASEDIR=$D
+	$(MAKE) install BASEDIR=$D
 	dh_installman whois.1 mkpasswd.1
 	dh_installdocs README
 	dh_installchangelogs

## whois 5.0.15

=== Makefile ===
--- 
+++ 
@@ -56,7 +56,7 @@
 CPPFLAGS += $(DEFS) $(INCLUDES)
 
 ##############################################################################
-all: Makefile.depend whois mkpasswd #pos
+all: Makefile.depend whois mkpasswd pos
 
 ##############################################################################
 %.o: %.c
@@ -88,7 +88,7 @@
 	$(PERL) -w make_servers_charset.pl < $< > $@
 
 ##############################################################################
-install: install-whois install-mkpasswd #install-pos
+install: install-whois install-mkpasswd install-pos
 
 install-whois: whois
 	$(INSTALL) -d $(BASEDIR)$(prefix)/bin/

=== debian/changelog ===
whois (5.0.15) unstable; urgency=medium

  * Added the .xn--mgba3a4f16a (ایران., Iran) TLD server.
  * Updated the .pe TLD server, this time for real. (Closes: #653105)
  * Updated one or more translations. (Closes: #654175)

 -- Marco d'Itri <md@linux.it>  Mon, 05 Mar 2012 22:56:19 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: standard
 Maintainer: Marco d'Itri <md@linux.it>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 5), gettext, libidn11-dev
 
 Package: whois

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	dh_installdeb
 	dh_gencontrol
 	dh_md5sums
-	dh_builddeb
+	dh_builddeb -- -Zxz
 
 binary: binary-arch
